
import dplume
import smartcarb as sc
import glob

import sys

fnames = sorted(glob.glob("/project/smartcarb/data1/level2/Sentinel_7_CO2/*.nc"))

do = 'detect'

if do == 'detect':
    tracer = 'CO2'
    ssp = 0.7
    cloud_thr = 0.01

    dplume.main(tracer, ssp, origin='Berlin', q=0.99, ns=37, cloud_thr=0.01,
         use_s5=False, make_image=True)


    sys.exit()

else:
    with open('BerlinPlume.dat', 'w') as f:

        line = '\t'.join(['satellite', 'orbit', 'date', 'lon', 'pixels (<1%)',
                          'pixels (<30%)'])
        f.write(line)
        f.write('\n')

        for fn in fnames:
            sat, orbit, date, lon = sc.io.process_filename(fn)
            px_1, px_30 = dplume.show_berlin_plume(fn)

            if px_1 > 0:
                line = '\t'.join(map(str, [sat, orbit, date, lon, px_1, px_30]))

                f.write(line)
                f.write('\n')

                f.flush()
